# 代码仓库中配置，仅限本地调试使用，容器部署必须使用容器挂载项目配置

[Server.http]
    address = ":20000"
[Rpc]
    [Rpc.Server]
        host = "0.0.0.0"
        port = 9103
[DB]
    [DB.udcp_test]                                       # DB组名称:test
        [DB.udcp_test.Master]                            # Master配置
            dialect = "mysql"                       # DB类型:mysql
            dsn = "root:Udcp2022cs@tcp(127.0.0.1:10002)/udcp_test?charset=utf8&parseTime=True&loc=Local&readTimeout=1s&timeout=1s&writeTimeout=3s"      # 地址
            maxOpenConns = 100                      # 最大连接数
            maxIdleConns = 50                       # 最大空闲连接数
            connMaxLifetime = 300                   # 最大空闲回收时间，单位：s
            logMode = true                          # 是否开启debug日志
            logSQL =true                            # 是否显示日志中的sql
            slowThreshold = 60000                     # 慢日志阈值，单位：ms
        [DB.udcp_test.Slave]                             # Slave配置
            dialect = "mysql"
            dsn = ["root:Udcp2022cs@tcp(127.0.0.1:10002)/udcp_test?charset=utf8&parseTime=True&loc=Local&readTimeout=1s&timeout=1s&writeTimeout=3s", "root:Udcp2022cs@tcp(127.0.0.1:10002)/udcp_test?charset=utf8&parseTime=True&loc=Local&readTimeout=1s&timeout=1s&writeTimeout=3s"]
            maxOpenConns = 100
            maxIdleConns = 50
            connMaxLifetime = 300
            logMode = true
            logSQL =true
            slowThreshold = 60000
[Redis]
    [Redis.udcp_test]                   # Redis组名称:test
        [Redis.udcp_test.Master]        # Master配置
            dsn = ["127.0.0.1:10001"]
            password = "Udcp2022cs"
            slowThreshold = 60000
        [Redis.udcp_test.Slave]         # Slave配置
            dsn = ["127.0.0.1:10001","127.0.0.1:10001"]
            password = "Udcp2022cs"
            slowThreshold = 60000
[Log]
    output = "stdout"
    level = "debug"
    jsonEncode = true
    dir = "logs/"
    fileName = "default.log"
    addCaller = true
    callerSkip = 2
    maxSize = 128
    maxAge = 30
    maxBackups = 7
    compress = true
    [Log.fields] # 每条日志都带这个关键字
        appName = "udcp_test"
